<!doctype html>
<html lang="en">
   <head>
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
      <link rel="icon" href="favicon.ico" />
      <title>Facturation Bourse Aux Skis</title>
      <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.0/css/bootstrap.min.css" integrity="sha512-rO2SXEKBSICa/AfyhEK5ZqWFCOok1rcgPYfGOqtX35OyiraBg6Xa4NnBJwXgpIRoXeWjcAmcQniMhp22htDc6g==" crossorigin="anonymous" />
      <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/css/select2.min.css" integrity="sha512-nMNlpuaDPrqlEls3IX/Q56H36qvBASwb3ipuo3MxeWbsQB1881ox0cRv7UPTgBlriqoynt35KjEwgGUeUXIPnw==" crossorigin="anonymous" />
      <link href="https://fonts.googleapis.com/css?family=Roboto:100,300,400,500,700,900" rel="stylesheet">
      <link href="https://cdn.jsdelivr.net/npm/@mdi/font@4.x/css/materialdesignicons.min.css" rel="stylesheet">
      <link href="https://cdn.jsdelivr.net/npm/vuetify@2.x/dist/vuetify.min.css" rel="stylesheet">
   </head>
   <body>
      <div id="main" class="container" v-on:keyup.ctrl.enter="sendFac" v-cloak>
        <v-app>
        <v-container>       
        <div v-bind:class="statusClass" style="position: fixed; width: 20%; top: 5%; right: 5%; z-index: 10;">
              <p>{{ statusText }}</p>
        </div>
         <div class="row">
            <div v-if="!hideAlert" class="col-12 alert alert-info">
               <a href="https://gitlab.com/agepoly/it/dev/boursoski-facture">
               Voir https://gitlab.com/agepoly/it/dev/boursoski-facture</a>
               <button type="button" v-on:click="hideAlert = true" class="close" aria-label="Close">
               <span aria-hidden="true">&times;</span>
               </button>
            </div>
         </div>
         <div class="row">
          <div class="col-12">
              <div class="">
                 <!--<h2 sytle="width: 100%" class="title">Facturation Bourse Aux Skis</h2>-->
              </div>              
          </div>
          <div class="col-12 col-md-6">
               <div id="form" class="">
                  <div class="body">
                     <form class="form" v-on:submit.prevent="">
                        <div class="form-group row">
                           <label class="col-sm-3" for="email">Email</label>
                           <v-text-field solo class="col-sm-9" required="true" id="email" type="email" v-model="email"></v-text-field>
                        </div>
                        <div class="form-group row">
                           <label class="col-sm-3" for="pay_mode">Moyen De Paiement</label>
                           <v-select solo class="col-sm-9" required="true" id="pay_mode" v-model="pay_mode" v-bind:items="['CARTE', 'CASH', 'AUTRE']"></v-select>
                        </div>
                      </form>
                  </div>
              </div>
          </div>          
          <div class="col-12 col-md-6">
              <div id="form" class="">
                    <div class="body">
                       <form class="form" v-on:submit.prevent="addRows()">
                          <div class="form-group row">
                             <label class="col-sm-3" for="curr_price">Prix Unitaire</label>
                             <v-text-field solo class="col-sm-9" required="true" id="curr_price" type="number" step="any" v-model="curr_price"></v-text-field>
                          </div>
                          <div class="form-group row">
                             <label class="col-sm-3" for="curr_qt">Quantité</label>
                             <v-text-field solo class="col-sm-9 ma-0 pa-0" required="true" id="curr_qt" type="number" v-model="curr_qt"></v-text-field>
                          </div>
                          <div class="form-group row">
                             <label class="col-sm-3" for="curr_type">Type</label> <!-- add select-->
                             <v-combobox solo class="col-sm-9" required="true" id="curr_type" type="text" v-model="curr_type" v-bind:items="types"></v-combobox>
                          </div>
                          <div class="form-group row">
                             <label class="col-sm-3" for="curr_marque">Marque</label>
                            <v-combobox solo class="col-sm-9" required="true" id="curr_marque" type="text" v-model="curr_marque" v-bind:items="marques"></v-combobox>
                          </div>
                          <div class="form-group row">
                             <label class="col-sm-3" for="curr_text">Texte</label>
                             <v-text-field solo class="col-sm-9" id="curr_text" type="text" v-model="curr_text"></v-text-field>
                          </div>
                          <v-btn color="primary" type="submit">Add Line (Enter)</v-btn>
                       </form>
                    </div>
                </div>
            </div>
            <div class="col-12">
               <div class="">
                  <div class="header">
                     <h2 class="title">Lignes</h2>
                  </div>
                  <div class="body" style="padding: 0;">
                     <div id="rows-container" style="margin-bottom: 0;" >
                        <table class="table-striped" style="width: 100%;">
                           <tbody>
                              <tr>
                                 <td>Qt</td>
                                 <td>Prix U</td>
                                 <td>Ref</td>
                                 <td>Prix Tot</td>
                                 <td></td>
                              </tr>
                              <tr v-for="row in rows">
                                 <td>{{ row.qt}}</td>
                                 <td>{{ row.price}}</td>
                                 <td>{{ row.type }} - {{ row.marque }} - {{ row.text }}</td>
                                 <td>{{ row.tot_price}}</td>
                                 <td><v-btn v-on:click="deleteRow(row.id)" color="error">X</v-btn></td>
                              </tr>
                              <tr>
                                 <td></td>
                                 <td></td>
                                 <td>Total TTC (CHF)</td>
                                 <td>{{ total.toFixed(2) }}</td>
                                 <td></td>
                              </tr>
                               <tr>
                                 <td></td>
                                 <td></td>
                                 <td>Total TTC (EUR)</td>
                                 <td>{{ (total*0.93).toFixed(2) }}</td>
                                 <td></td>
                              </tr>
                           </tbody>
                        </table>
                     </div>
                  </div>
               </div>
            </div>
          </div>
        <div class="row">
            <div class="col-12">
              <v-btn block style="margin-bottom: 15px;" color="success" v-bind:loading="sending" v-on:click.prevent="sendFac">Send+Print Facture PDF (Ctrl + Enter)</a>
            </div>
         </div>
      </div>
      </v-container>
      </v-app>
      <style>
         body, #app {
            background-color: #eef5f2;
         }
         .v-input {
          margin:0;
         },
         .v-text-field *, .v-text-field {
            display: none!important;
         },
         .card {
            background-color: lightgrey;
          },
         .card {
          margin-bottom: 15px;
         }
         .hidden, [v-cloak] {
            display:none;
         }
      </style>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js" integrity="sha512-bLT0Qm9VnAYZDflyKcBaQ2gg0hSYNQrJ8RilYldYQ1FxQYoCLtUjuuRuZo+fjqhx/qtq/1itJ0C2ejDxltZVFg==" crossorigin="anonymous"></script>
      <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
      <!--<script src="https://cdnjs.cloudflare.com/ajax/libs/vue/2.6.11/vue.min.js" integrity="sha512-QJsj3afWlCpnQ60XzzYE8Jb3IgHIK1BcGZox9rUSmRRq3Ocz9vQ1yR80eX2/b9jfx/UuT5zYWNdrM8Te/eCMhQ==" crossorigin="anonymous"></script>-->
      <script src="https://cdnjs.cloudflare.com/ajax/libs/vue/2.6.11/vue.js" integrity="sha512-PyKhbAWS+VlTWXjk/36s5hJmUJBxcGY/1hlxg6woHD/EONP2fawZRKmvHdTGOWPKTqk3CPSUPh7+2boIBklbvw==" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.0/js/bootstrap.min.js" integrity="sha512-I5TkutApDjnWuX+smLIPZNhw+LhTd8WrQhdCKsxCFRSvhFx2km8ZfEpNIhF9nq04msHhOkE8BMOBj5QE07yhMA==" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.19.2/axios.min.js" integrity="sha512-VZ6m0F78+yo3sbu48gElK4irv2dzPoep8oo9LEjxviigcnnnNvnTOJRSrIhuFk68FMLOpiNz+T77nNY89rnWDg==" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.full.min.js" integrity="sha512-RtZU3AyMVArmHLiW0suEZ9McadTdegwbgtiQl5Qqo9kunkVg1ofwueXD8/8wv3Af8jkME3DDe3yLfR8HSJfT2g==" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/2.3.0/socket.io.js" integrity="sha512-v8ng/uGxkge3d1IJuEo6dJP8JViyvms0cly9pnbfRxT6/31c3dRWxIiwGnMSWwZjHKOuY3EVmijs7k1jz/9bLA==" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/lrsjng.jquery-qrcode/0.17.0/jquery-qrcode.min.js" integrity="sha512-bpSQjGheSKQqx77cCzF7L/CGoD46ZwfHoBkTAqvErPV+tfbG+d8gSVAXxUQk8RENTmnrLwU7ZH9Qd9aAD7m4sg==" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/pdf-lib/1.11.1/pdf-lib.min.js" integrity="sha512-cw4zgXxUbnpVN9FgAAAPAbnqq4XX4FvtWufL9JuCAyIGXpRuf6ySlTvsVEeu66zPinaIwxVxoQ2C7wtmKpYkUw==" crossorigin="anonymous"></script>
      <script src="https://cdn.jsdelivr.net/npm/vuetify@2.x/dist/vuetify.js"></script>
      <script src="./index.js"></script>
   </body>
</html>
